For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all personal access tokens (PATs) for the current user.
      • POSTCreate a new personal access token (PAT) for the current user.
      • DELDelete a personal access token (PAT) for the current user.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIPersonal access tokens

Create a new personal access token (PAT) for the current user.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/user/tokens
POST
/api/admin/user/tokens
$curl -X POST https://app.unleash-instance.example.com/api/admin/user/tokens \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "description": "user:xyzrandomstring",
> "expiresAt": "2023-04-19T08:15:14.000Z"
>}'
1{
2 "id": 1,
3 "createdAt": "2023-04-19T08:15:14.000Z",
4 "description": "user:xyzrandomstring",
5 "expiresAt": "2023-04-19T08:15:14.000Z",
6 "secret": "user:xyzrandomstring",
7 "seenAt": "2023-04-19T08:15:14.000Z",
8 "userId": 1337
9}
Creates a new [personal access token](https://docs.getunleash.io/concepts/api-tokens-and-client-keys#personal-access-tokens (PAT) belonging to the current user.
Was this page helpful?
Previous

Delete a personal access token (PAT) for the current user.

Next
Built with

Creates a new [personal access token](https://docs.getunleash.io/concepts/api-tokens-and-client-keys#personal-access-tokens (PAT) belonging to the current user.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

#/components/schemas/createPatSchema

descriptionstringRequired
The PAT's description.
expiresAtstringRequiredformat: "date-time"
The PAT's expiration date.

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
idinteger>=1
The PAT's ID. PAT IDs are incrementing integers. In other words, a more recently created PAT will always have a higher ID than an older one.
createdAtstringformat: "date-time"
The date and time of when the PAT was created.
descriptionstring
The PAT's description.
expiresAtstringformat: "date-time"
The PAT's expiration date.
secretstring
The token used for authentication. It is automatically generated by Unleash when the PAT is created and that is the only time this property is returned.
seenAtstring or nullformat: "date-time"

When the PAT was last seen/used to authenticate with. null if it has not been used yet.

userIdinteger
The ID of the user this PAT belongs to.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error